Subject: Re: linux-next: manual merge of the rdma tree with the nfsd tree

From: Anna Schumaker <[email-masked]>
Date: Wed, 6 Jan 2016 11:48:49 -0500

On 01/06/2016 11:33 AM, Chuck Lever wrote:
> 
>> On Jan 6, 2016, at 10:52 AM, Or Gerlitz <[email-masked]> wrote:
>>
>> On 1/6/2016 5:20 PM, Chuck Lever wrote:
>>>> Chuck,
>>>>>
>>>>> Lets be concrete... anything wrong with patch [1]?
>>> Yes. It is missing Acked-by: lines from the maintainers of
>>> those files.
>>>
>>> All changes to files under net/sunrpc need an Ack from one
>>> of the maintainers listed in MAINTAINERS for that directory,
>>> if the changes are going through another maintainer's tree.
>>>
>>> I have been personally asked to remind folks that the
>>> nfs-sunrpc maintainers do not read linux-rdma, so they
>>> must be contacted directly (and cc: linux-nfs) as part of
>>> proposing finished patches in that area.
>>
>> I did that!!
>>
>> I copied you and Anna on the patch [1].
> 
> The marc.info archive does not preserve To: or Cc:
> fields on e-mail. I had to look in my own inbox to
> confirm who the recipients were.
> 
> Anna was the only NFS maintainer listed, and
> linux-nfs was not included on that e-mail at all.
> Did Anna ever reply with an Acked-by ? I don't see
> that in either the archive or my own inbox.

I'm not sure if I ever replied to that one.  This patch was part of an alternative to Christoph's deviceattr cleanup, right?  The NFS client bits looked okay to me, but I held off on replying to see which version was accepted.  Feel free to add my:

Acked-by: Anna Schumaker <[email-masked]>

Anna

> 
> Bruce needs to Ack the svc_rdma_transport.c hunks.
> 
> 
>> Again, lets be concrete, this very small cleanup was picked and merged, anything there
>> need to be fixed?
> 
> I have rebased on Doug's current for-4.5, and will
> be testing today before submitting my for-4.5 patches
> again. Your changes are mechanical, so I don't expect
> to encounter a technical problem.
> 
> However, I would be more comfortable if the missing
> Acks were fixed in Doug's tree (with Anna and Bruce's
> permission, of course) before Linus pulls.
> 
> 
>> Or.
>>
>> [1] http://marc.info/?l=linux-rdma&m=145042924110411&w=2
>>
>>
>>> Unfortunately I have not been able to review every patch
>>> that has come by on linux-rdma in the past 9 months to
>>> ensure the eyes are dotted and tees crossed. More than
>>> a few commits in the tree are missing the proper tags.
>>>
>>>
>>>> [1]  commit e3e45b1 "xprtrdma: Avoid calling ib_query_device"
>>>>
>>>> in git://git.kernel.org/pub/scm/linux/kernel/git/dledford/rdma.git k.o/for-4.5
>>>>
>>>> http://git.kernel.org/cgit/linux/kernel/git/dledford/rdma.git/commit/?h=k.o/for-4.5&id=e3e45b1b43988b99007a9908ca0ba738b3fbd0ff
>>>>
>>
> 
> --
> Chuck Lever
> 
> 
> 
>